petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscPartitionerShellSetPartition

Set an artifical partition for a mesh

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscPartitionerShellSetPartition(PetscPartitioner part, PetscInt numProcs, const PetscInt sizes[], const PetscInt points[])

Collective on PART Many br

### Input Parameters

| part | - The PetscPartitioner Many br
| numProcs | - The number of partitions Many br
| sizes | - array of size numProcs (or NULL) providing the number of points in each partition Many br
| points | - array of size sum(sizes) (may be NULL iff sizes is NULL) providing the partition each point belongs to Many br

Many br

### Notes

It is safe to free the sizes and points arrays after use in this routine. Many br

### See Also

DMPlexDistribute(), PetscPartitionerCreate()

Level:developer
Location:src/dm/impls/plex/plexpartition.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html